Set the time spent of a person on a task for a date. The duration replaces the current duration. An administrator can change the time of all the persons. For other users, the person must be an assignee of the task. The person can change their own time. A manager of the project can change the time of the assignees. You cannot change the time of a bot, except when the project enables bot collaboration.
Path parameters
-
Unique identifier of the task
-
Date in the YYYY-MM-DD format
-
Unique identifier of the person
POST
/actions/tasks/{task_id}/time-spents/{date}/persons/{person_id}
curl
curl -X POST "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2022-07-12/persons/a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"duration": 120
}'
import requests
url = "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2022-07-12/persons/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"duration": 120
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"duration": 120
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"task_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"person_id": "c24a6ea4-ce75-4665-a070-57453082c250",
"date": "2022-07-12",
"duration": 120,
"created_at": "2024-01-15T10:30:00Z"
}